Package com.google.android.exoplayer2.util

## Interface DebugViewProvider

-     public interface DebugViewProvider

  Provider for views to show diagnostic information during a transformation, for debugging.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DebugViewProvider` | `NONE` | Debug view provider that doesn't show any debug info.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SurfaceView` | `getDebugPreviewSurfaceView​(int width, int height)` | Returns a new surface view to show a preview of transformer output with the given width/height in pixels, or `null` if no debug information should be shown.

- - ### Field Detail

    - #### NONE

          static final DebugViewProvider NONE

      Debug view provider that doesn't show any debug info.

  - ### Method Detail

    - #### getDebugPreviewSurfaceView

          @Nullable
          SurfaceView getDebugPreviewSurfaceView​(int width,
                                                 int height)

      Returns a new surface view to show a preview of transformer output with the given width/height in pixels, or `null` if no debug information should be shown.

      This method may be called on an arbitrary thread.